Home
last modified time | relevance | path

Searched refs:TERM (Results 1 – 25 of 111) sorted by relevance

12345

/third_party/node/test/pseudo-tty/
Dtest-tty-color-support.js56 [{ TERM: 'xterm-256' }, 8],
57 [{ TERM: 'ansi' }, 4],
58 [{ TERM: 'ANSI' }, 4],
59 [{ TERM: 'color' }, 4],
60 [{ TERM: 'linux' }, 4],
61 [{ TERM: 'fail' }, 1],
62 [{ TERM: 'color', NODE_DISABLE_COLORS: '1' }, 1],
63 [{ TERM: 'dumb' }, 1],
64 [{ TERM: 'dumb', COLORTERM: '1' }, 1],
65 [{ TERM: 'terminator' }, 24],
[all …]
Dconsole-dumb-tty.js4 process.env.TERM = 'dumb';
Dreadline-dumb-tty.js4 process.env.TERM = 'dumb';
Drepl-dumb-tty.js4 process.env.TERM = 'dumb';
/third_party/node/lib/internal/
Dtty.js133 env.TERM === 'dumb') {
193 if (env.TERM) {
194 if (RegExpPrototypeTest(/^xterm-256/, env.TERM)) {
198 const termEnv = StringPrototypeToLowerCase(env.TERM);
/third_party/node/deps/npm/node_modules/supports-color/
Dindex.js103 if (/-256(color)?$/i.test(env.TERM)) {
107 if (/^screen|^xterm|^vt100|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
115 if (env.TERM === 'dumb') {
/third_party/node/deps/npm/node_modules/colors/lib/system/
Dsupports-colors.js123 if (/-256(color)?$/i.test(env.TERM)) {
127 if (/^screen|^xterm|^vt100|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
135 if (env.TERM === 'dumb') {
/third_party/ltp/testcases/kernel/controllers/cgroup/
Dcgroup_regression_test.sh105 kill -TERM $!
110 kill -TERM $!
287 kill -TERM $pid2
333 kill -TERM $!
356 kill -TERM $!
/third_party/cups-filters/utils/
Dcups-browsed.in115 kill -TERM $pid
132 kill -TERM $pid
/third_party/flutter/skia/third_party/externals/harfbuzz/src/
Ddev-run.sh37 if [[ $TERM == screen* ]]; then osc="\033Ptmux;\033\033]"; fi
39 if [[ $TERM == screen* ]]; then st="\a"; fi
/third_party/rust/crates/termcolor/
DREADME.md91 termcolor will inspect the `TERM` and `NO_COLOR` environment variables:
94 * If `TERM` is set to `dumb`, then colors will be suppressed.
95 * In non-Windows environments, if `TERM` is not set, then colors will be
/third_party/node/deps/npm/lib/utils/
Dis-windows-bash.js4 (/^MINGW(32|64)$/.test(process.env.MSYSTEM) || process.env.TERM === 'cygwin')
/third_party/mesa3d/.gitlab-ci/meson/
Dtime.sh13 trap 'kill -TERM $TESTPID; wait $TIMEPID; exit $?' TERM
Dtime-strace.sh18 trap 'kill -TERM $TESTPID; wait $TIMEPID; exit $?' TERM
/third_party/node/deps/npm/node_modules/gauge/
Dhas-color.js11 return !!process.env.COLORTERM || termHasColor.test(process.env.TERM)
/third_party/mksh/
Dsignames.inc6 { "TERM", 15 },
/third_party/vk-gl-cts/external/vulkan-docs/src/config/chunkindex/
Dlunr.js3078 lunr.QueryLexer.TERM = 'TERM'
3093 lexer.emit(lunr.QueryLexer.TERM)
3119 lexer.emit(lunr.QueryLexer.TERM)
3157 lexer.emit(lunr.QueryLexer.TERM)
3165 lexer.emit(lunr.QueryLexer.TERM)
3240 case lunr.QueryLexer.TERM:
3282 case lunr.QueryLexer.TERM:
3314 case lunr.QueryLexer.TERM:
3343 case lunr.QueryLexer.TERM:
3386 case lunr.QueryLexer.TERM:
[all …]
/third_party/libsnd/Octave/
Doctave_test.sh65 unset TERM
/third_party/musl/tools/
Dinstall.sh46 trap 'rm -f "$tmp"' EXIT INT QUIT TERM HUP
/third_party/node/tools/
Dupdate-npm.sh24 trap cleanup INT TERM EXIT
Dupdate-cares.sh25 trap cleanup INT TERM EXIT
/third_party/pulseaudio/src/tests/
Dtest-daemon.sh65 kill -TERM $DBUS_SESSION_BUS_PID || die "Message bus vanished! should not have happened" && echo "K…
/third_party/musl/porting/linux/user/tools/
Dinstall.sh48 trap 'rm -f "$tmp"' EXIT INT QUIT TERM HUP
/third_party/libjpeg-turbo/release/
Dmakerpm.in6 trap onexit TERM
/third_party/flutter/skia/third_party/externals/libjpeg-turbo/release/
Dmakerpm.in6 trap onexit TERM

12345